package com.ifish.validator;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;


/**
 * 注册参数
 * @author Administrator
 *
 */
public class RegisterParam{
	
	/**
	 * 手机号
	 */
	@NotBlank
	@Length(max=11,min=8)
	private String phoneNumber;
	/**
	 * 密码
	 */
	@NotBlank
	@Length(max=32,min=32)
	private String userPassword;
	/**
	 * 手机注册类型
	 */
	@NotBlank
	@Length(max=7,min=3)
	private String phoneType;
	/**
	 * 注册地址
	 */
	@Length(max=200)
	private String address;
	/**
	 * 经度
	 */
	private Double longitude;
	/**
	 * 维度
	 */
	private Double latitude;
	
	public RegisterParam() {}

	public RegisterParam(String phoneNumber, String userPassword, String phoneType,
			String address, Double longitude, Double latitude) {
		this.phoneNumber = phoneNumber;
		this.userPassword = userPassword;
		this.phoneType = phoneType;
		this.address = address;
		this.longitude = longitude;
		this.latitude = latitude;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public String getUserPassword() {
		return userPassword;
	}

	public void setUserPassword(String userPassword) {
		this.userPassword = userPassword;
	}

	public String getPhoneType() {
		return phoneType;
	}

	public void setPhoneType(String phoneType) {
		this.phoneType = phoneType;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Double getLongitude() {
		return longitude;
	}

	public void setLongitude(Double longitude) {
		this.longitude = longitude;
	}

	public Double getLatitude() {
		return latitude;
	}

	public void setLatitude(Double latitude) {
		this.latitude = latitude;
	}
	
}
